program nuts;
Var
i,t,m,n,k:integer;
Begin
 assign(input,'NUTS.in'); reset(input);
 Read(t);
 for i:=1 to t do
  Begin
 Read(m,n,k);
 if (m*n)>k then WriteLn('YES');
 if (m*n)=k then WriteLn ('YES');
 If (m*n)<k then WriteLn ('NO');
 end;
end.